> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailchannels.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add item to customer list



## OpenAPI

````yaml /inbound/api-reference/openapi.yaml post /lists/{listname}
openapi: 3.0.3
info:
  title: Inbound API
  description: |
    Manage domains for MailChannels Inbound.

    ### Rate Limits
    This API is limited to 100 queries per second, per customer.
    Queries that exceed this rate may be rejected with the
    `503 Service Temporarily Unavailable` HTTP response.
  version: 1.3.0
servers:
  - url: https://api.mailchannels.net/inbound/v1
security:
  - APIKeyHeader: []
tags:
  - name: Domains
  - name: Lists
  - name: Recipients
  - name: Login links
  - name: Reporting
  - name: Account
paths:
  /lists/{listname}:
    post:
      tags:
        - Lists
      summary: Add item to customer list
      parameters:
        - name: listname
          description: >-
            The name of the list to add an entry to. One of 'safelist' or
            'blocklist'. 'whitelist' and 'blacklist' are deprecated
          in: path
          required: true
          schema:
            type: string
            enum:
              - blocklist
              - safelist
              - blacklist
              - whitelist
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListPost'
      responses:
        '201':
          description: Successfully created the item
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListItem'
        '400':
          description: |
            Bad Request, returned in the case that the list item is not a valid
            ip address, email address or domain.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ListPost:
      required:
        - item
      properties:
        item:
          type: string
          description: >-
            The value of the entry.  The type of the entry is automatically
            determined based on the value.
    ListItem:
      properties:
        item:
          type: string
          description: >-
            The value of this entry.  The meaning of this value depends on the
            item_type.
        item_type:
          type: string
          description: The item type.
        action:
          type: string
          description: Which list this entry is on, e.g. safelist or blocklist.
    ErrorResponse:
      required:
        - errors
      properties:
        code:
          type: integer
        message:
          type: string
        errors:
          type: array
          items:
            type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````